import { ChtmlFontData, ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData, DelimiterMap, CharMapMap } from 'mathjax-full/cjs/output/chtml/FontData.js';
import { StringMap } from 'mathjax-full/cjs/output/common/Wrapper.js';
declare const Base: import("mathjax-full/cjs/output/common/FontData.js").FontDataClass<ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData> & typeof ChtmlFontData;
export declare class MathJaxPagellaFont extends Base {
    static NAME: string;
    static OPTIONS: {
        fontURL: string;
        dynamicPrefix: string;
    };
    protected static defaultCssFamilyPrefix: string;
    protected static defaultVariantLetters: StringMap;
    protected static defaultDelimiters: DelimiterMap<ChtmlDelimiterData>;
    protected static defaultChars: CharMapMap<ChtmlCharOptions>;
    protected static defaultStyles: {
        '.GP-N': {
            'font-family': string;
        };
        '.GP-B': {
            'font-family': string;
        };
        '.GP-I': {
            'font-family': string;
        };
        '.GP-BI': {
            'font-family': string;
        };
        '.GP-DS': {
            'font-family': string;
        };
        '.GP-F': {
            'font-family': string;
        };
        '.GP-FB': {
            'font-family': string;
        };
        '.GP-S': {
            'font-family': string;
        };
        '.GP-SB': {
            'font-family': string;
        };
        '.GP-SS': {
            'font-family': string;
        };
        '.GP-SSB': {
            'font-family': string;
        };
        '.GP-SSI': {
            'font-family': string;
        };
        '.GP-SSBI': {
            'font-family': string;
        };
        '.GP-M': {
            'font-family': string;
        };
        '.GP-SO': {
            'font-family': string;
        };
        '.GP-LO': {
            'font-family': string;
        };
        '.GP-S3': {
            'font-family': string;
        };
        '.GP-S4': {
            'font-family': string;
        };
        '.GP-S5': {
            'font-family': string;
        };
        '.GP-S6': {
            'font-family': string;
        };
        '.GP-MI': {
            'font-family': string;
        };
        '.GP-C': {
            'font-family': string;
        };
        '.GP-CB': {
            'font-family': string;
        };
        '.GP-OS': {
            'font-family': string;
        };
        '.GP-OB': {
            'font-family': string;
        };
        '.GP-V': {
            'font-family': string;
        };
        '.GP-LT': {
            'font-family': string;
        };
        '.GP-RB': {
            'font-family': string;
        };
        '.GP-EM': {
            'font-family': string;
        };
    };
    protected static defaultFonts: {
        '@font-face /* MJX-GP-ZERO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-BRK */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-N */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-B */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-I */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-BI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-DS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-F */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-FB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-S */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SSB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SSI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SSBI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-M */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-SO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-LO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-S3 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-S4 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-S5 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-S6 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-MI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-C */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-CB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-OS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-OB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-V */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-LT */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-RB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GP-EM */': {
            'font-family': string;
            src: string;
        };
    };
    protected static dynamicFiles: import("mathjax-full/cjs/output/common/FontData.js").DynamicFileList;
    cssFontPrefix: string;
}
export {};
