import { V, H } from 'mathjax-full/mjs/output/common/Direction.js';
export const delimiters = {
    0x28: {
        dir: V,
        sizes: [.829, .989, 1.181, 1.411, 1.687, 2.019, 2.417],
        stretch: [0x239B, 0x239C, 0x239D],
        HDW: [.664, .164, .679]
    },
    0x29: {
        dir: V,
        sizes: [.829, .989, 1.181, 1.411, 1.687, 2.019, 2.417],
        stretch: [0x239E, 0x239F, 0x23A0],
        HDW: [.664, .164, .679]
    },
    0x2D: {
        c: 0x2212,
        dir: H,
        stretch: [0, 0x2212],
        HDW: [0.55, 0.05, .76],
        hd: [.55, .05]
    },
    0x2F: {
        dir: V,
        sizes: [.801, 1.049, 1.373, 1.799, 2.357, 3.087, 4.045]
    },
    0x3D: {
        dir: H,
        stretch: [0, 0x3D],
        HDW: [0.39, -0.11, .76],
        hd: [.39, -.11]
    },
    0x5B: {
        dir: V,
        sizes: [.841, 1.001, 1.193, 1.423, 1.699, 2.031, 2.429],
        stretch: [0x23A1, 0x23A2, 0x23A3],
        HDW: [.67, .17, .521]
    },
    0x5C: {
        dir: V,
        sizes: [.801, 1.049, 1.373, 1.799, 2.357, 3.087, 4.045]
    },
    0x5D: {
        dir: V,
        sizes: [.841, 1.001, 1.193, 1.423, 1.699, 2.031, 2.429],
        stretch: [0x23A4, 0x23A5, 0x23A6],
        HDW: [.67, .17, .521]
    },
    0x5E: {
        c: 0x302,
        dir: H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x5F: {
        c: 0x2013,
        dir: H,
        sizes: [.5],
        stretch: [0, 0x2013],
        HDW: [0.277, -0.219, .5],
        hd: [.277, -.219]
    },
    0x7B: {
        dir: V,
        sizes: [.839, .999, 1.191, 1.421, 1.697, 2.029, 2.427],
        stretch: [0x23A7, 0x7B, 0x23A9, 0x23A8],
        stretchv: [0, 1, 0, 0],
        HDW: [.669, .169, .589]
    },
    0x7C: {
        dir: V,
        sizes: [.801, .961, 1.153, 1.383, 1.659, 1.991, 2.389],
        schar: [0x7C, 0x2223],
        stretch: [0, 0x2223],
        HDW: [.65, .15, .208]
    },
    0x7D: {
        dir: V,
        sizes: [.839, .999, 1.191, 1.421, 1.697, 2.029, 2.427],
        stretch: [0x23AB, 0x7B, 0x23AD, 0x23AC],
        stretchv: [0, 1, 0, 0],
        HDW: [.669, .169, .589]
    },
    0x7E: {
        c: 0x303,
        dir: H,
        sizes: [.342, .608, .727, .87, 1.042, 1.247, 1.496]
    },
    0xAF: {
        c: 0x305,
        dir: H,
        sizes: [.333, .5],
        stretch: [0, 0x305],
        stretchv: [0, 1],
        HDW: [0.646, -0.598, 0],
        hd: [.646, -.598]
    },
    0x2C6: {
        c: 0x302,
        dir: H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x2C7: {
        c: 0x30C,
        dir: H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x2C9: {
        c: 0x305,
        dir: H,
        sizes: [.333, .5],
        stretch: [0, 0x305],
        stretchv: [0, 1],
        HDW: [0.646, -0.598, 0],
        hd: [.646, -.598]
    },
    0x2D8: {
        c: 0x306,
        dir: H,
        sizes: [.362, .631, .752, .897, 1.07, 1.279, 1.528]
    },
    0x2DC: {
        c: 0x303,
        dir: H,
        sizes: [.342, .608, .727, .87, 1.042, 1.247, 1.496]
    },
    0x302: {
        dir: H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x303: {
        dir: H,
        sizes: [.342, .608, .727, .87, 1.042, 1.247, 1.496]
    },
    0x305: {
        dir: H,
        sizes: [.333, .5],
        stretch: [0, 0x305],
        stretchv: [0, 1],
        HDW: [0.646, -0.598, 0],
        hd: [.646, -.598]
    },
    0x306: {
        dir: H,
        sizes: [.362, .631, .752, .897, 1.07, 1.279, 1.528]
    },
    0x30C: {
        dir: H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x2013: {
        dir: H,
        sizes: [.5],
        stretch: [0, 0x2013],
        HDW: [0.277, -0.219, .5],
        hd: [.277, -.219]
    },
    0x2014: {
        dir: H,
        sizes: [1],
        stretch: [0, 0x2014],
        HDW: [0.277, -0.219, 1],
        hd: [.277, -.219]
    },
    0x2015: {
        dir: H,
        stretch: [0, 0x2015],
        HDW: [0.28, -0.22, 1.16],
        hd: [.28, -.22]
    },
    0x2016: {
        dir: V,
        sizes: [.801, .961, 1.153, 1.383, 1.659, 1.991, 2.389],
        schar: [0x2016, 0x2225],
        stretch: [0, 0x2016],
        HDW: [.65, .15, .376]
    },
    0x203E: {
        c: 0xAF,
        dir: H,
        sizes: [.333, .5],
        stretch: [0, 0x305],
        stretchv: [0, 1],
        HDW: [0.646, -0.598, 0],
        hd: [.646, -.598]
    },
    0x2044: {
        dir: V,
        sizes: [.801, 1.049, 1.373, 1.799, 2.357, 3.087, 4.045]
    },
    0x20D0: {
        dir: H,
        sizes: [.384, .67],
        stretch: [0x20D0, 0x20D0],
        stretchv: [2, 1],
        HDW: [0.784, -0.64, 0],
        hd: [.688, -.64]
    },
    0x20D1: {
        dir: H,
        sizes: [.384, .67],
        stretch: [0, 0x20D0, 0x20D1],
        stretchv: [0, 1, 3],
        HDW: [0.784, -0.64, 0],
        hd: [.688, -.64]
    },
    0x20D6: {
        dir: H,
        sizes: [.386, .67],
        stretch: [0x20D6, 0x20D0],
        stretchv: [2, 1],
        HDW: [0.784, -0.544, 0],
        hd: [.688, -.64]
    },
    0x20D7: {
        dir: H,
        sizes: [.386, .67],
        stretch: [0, 0x20D0, 0x20D7],
        stretchv: [0, 1, 3],
        HDW: [0.784, -0.544, 0],
        hd: [.688, -.64]
    },
    0x20E1: {
        dir: H,
        sizes: [.458, .742],
        stretch: [0x20D6, 0x20D0, 0x20D7],
        stretchv: [2, 1, 3],
        HDW: [0.784, -0.544, 0],
        hd: [.688, -.64]
    },
    0x20EC: {
        dir: H,
        sizes: [.384, .67],
        stretch: [0, 0x34D, 0x20EC],
        stretchv: [0, 1, 3],
        HDW: [-0.17, 0.314, 0],
        hd: [-.17, .218]
    },
    0x20ED: {
        dir: H,
        sizes: [.384, .67],
        stretch: [0x20ED, 0x34D],
        stretchv: [2, 1],
        HDW: [-0.17, 0.314, 0],
        hd: [-.17, .218]
    },
    0x20EE: {
        dir: H,
        sizes: [.386, .67],
        stretch: [0x20EE, 0x34D],
        stretchv: [2, 1],
        HDW: [-0.074, 0.314, 0],
        hd: [-.17, .218]
    },
    0x20EF: {
        dir: H,
        sizes: [.386, .67],
        stretch: [0, 0x34D, 0x20EF],
        stretchv: [0, 1, 3],
        HDW: [-0.074, 0.314, 0],
        hd: [-.17, .218]
    },
    0x2190: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x2190, 0x27F5],
        stretch: [0x2190, 0x2190],
        stretchv: [2, 1],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x2191: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0x2191, 0x2191],
        stretchv: [2, 1],
        HDW: [.635, .125, .46]
    },
    0x2192: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x2192, 0x27F6],
        stretch: [0, 0x2190, 0x2192],
        stretchv: [0, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x2193: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0, 0x2191, 0x2193],
        stretchv: [0, 1, 3],
        HDW: [.625, .135, .46]
    },
    0x2194: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 0],
        schar: [0x2194, 0x27F7],
        stretch: [0x2190, 0x2190, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, 1.005],
        hd: [.28, -.22]
    },
    0x2195: {
        dir: V,
        sizes: [.846, 1.296],
        variants: [0, 2],
        stretch: [0x2191, 0x2191, 0x2193],
        stretchv: [2, 1, 3],
        HDW: [.673, .172, .46]
    },
    0x219A: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x219A, 0x2190, 0, 0x219A],
        stretchv: [2, 1, 0, 1],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x219B: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x2190, 0x219B, 0x219A],
        stretchv: [0, 1, 3, 1],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x219E: {
        dir: H,
        sizes: [.995, 1.445],
        variants: [0, 2],
        stretch: [0x219E, 0x2190],
        stretchv: [2, 1],
        HDW: [0.4, -0.1, .995],
        hd: [.28, -.22]
    },
    0x21A0: {
        dir: H,
        sizes: [.995, 1.445],
        variants: [0, 2],
        stretch: [0, 0x2190, 0x21A0],
        stretchv: [0, 1, 3],
        HDW: [0.4, -0.1, .995],
        hd: [.28, -.22]
    },
    0x21A2: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 2],
        stretch: [0x2190, 0x2190, 0x21A2],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, 1.005],
        hd: [.28, -.22]
    },
    0x21A3: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 2],
        stretch: [0x21A3, 0x2190, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, 1.005],
        hd: [.28, -.22]
    },
    0x21A4: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21A4, 0x27FB],
        stretch: [0x2190, 0x2190, 0x21A4],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x21A6: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21A6, 0x27FC],
        stretch: [0x21A6, 0x2190, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x21A9: {
        dir: H,
        sizes: [.95, 1.4],
        variants: [0, 2],
        stretch: [0x2190, 0x21A9, 0x21A9],
        stretchv: [2, 1, 3],
        HDW: [0.49, -0.1, .95],
        hd: [.28, -.22]
    },
    0x21AA: {
        dir: H,
        sizes: [.95, 1.4],
        variants: [0, 2],
        stretch: [0x21AA, 0x21A9, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.49, -0.1, .95],
        hd: [.28, -.22]
    },
    0x21AB: {
        dir: H,
        sizes: [.95, 1.4],
        variants: [0, 2],
        stretch: [0x2190, 0x21A9, 0x21AB],
        stretchv: [2, 1, 3],
        HDW: [0.49, -0.04, .95],
        hd: [.28, -.22]
    },
    0x21AC: {
        dir: H,
        sizes: [.95, 1.4],
        variants: [0, 2],
        stretch: [0x21AC, 0x21A9, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.49, -0.04, .95],
        hd: [.28, -.22]
    },
    0x21AE: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 2],
        stretch: [0x219A, 0x2190, 0x219B, 0x219A],
        stretchv: [2, 1, 3, 1],
        HDW: [0.4, -0.1, 1.005],
        hd: [.28, -.22]
    },
    0x21BC: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x21BC, 0x21BC],
        stretchv: [2, 1],
        HDW: [0.4, -0.22, .92],
        hd: [.28, -.22]
    },
    0x21BD: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x21BD, 0x21BC],
        stretchv: [2, 1],
        HDW: [0.28, -0.1, .92],
        hd: [.28, -.22]
    },
    0x21BE: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0x21BE, 0x21BE],
        stretchv: [2, 1],
        HDW: [.635, .125, .34]
    },
    0x21BF: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0x21BF, 0x21BF],
        stretchv: [2, 1],
        HDW: [.635, .125, .34]
    },
    0x21C0: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21BC, 0x21C0],
        stretchv: [0, 1, 3],
        HDW: [0.4, -0.22, .92],
        hd: [.28, -.22]
    },
    0x21C1: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21BC, 0x21C1],
        stretchv: [0, 1, 3],
        HDW: [0.28, -0.1, .92],
        hd: [.28, -.22]
    },
    0x21C2: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0, 0x21BE, 0x21C2],
        stretchv: [0, 1, 3],
        HDW: [.625, .135, .34]
    },
    0x21C3: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0, 0x21BF, 0x21C3],
        stretchv: [0, 1, 3],
        HDW: [.625, .135, .34]
    },
    0x21C4: {
        dir: H,
        sizes: [.93, 1.38],
        variants: [0, 2],
        stretch: [0x21C4, 0x21C4, 0x21C4],
        stretchv: [2, 1, 3],
        HDW: [0.57, 0.07, .93],
        hd: [.45, -.05]
    },
    0x21C5: {
        dir: V,
        sizes: [.771, 1.221],
        variants: [0, 2],
        stretch: [0x21C5, 0x21C5, 0x21C5],
        stretchv: [2, 1, 3],
        HDW: [.635, .135, .8]
    },
    0x21C6: {
        dir: H,
        sizes: [.93, 1.38],
        variants: [0, 2],
        stretch: [0x21C6, 0x21C4, 0x21C6],
        stretchv: [2, 1, 3],
        HDW: [0.57, 0.07, .93],
        hd: [.45, -.05]
    },
    0x21C7: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x21C7, 0x21C4],
        stretchv: [2, 1],
        HDW: [0.57, 0.07, .92],
        hd: [.45, -.05]
    },
    0x21C8: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0x21C8, 0x21C5],
        stretchv: [2, 1],
        HDW: [.635, .125, .8]
    },
    0x21C9: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21C4, 0x21C9],
        stretchv: [0, 1, 3],
        HDW: [0.57, 0.07, .92],
        hd: [.45, -.05]
    },
    0x21CA: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0, 0x21C5, 0x21CA],
        stretchv: [0, 1, 3],
        HDW: [.625, .135, .8]
    },
    0x21CB: {
        dir: H,
        sizes: [.929, 1.379],
        variants: [0, 2],
        stretch: [0x21CB, 0x21CB, 0x21CB],
        stretchv: [2, 1, 3],
        HDW: [0.51, 0.01, .929],
        hd: [.39, -.11]
    },
    0x21CC: {
        dir: H,
        sizes: [.929, 1.379],
        variants: [0, 2],
        stretch: [0x21CC, 0x21CB, 0x21CC],
        stretchv: [2, 1, 3],
        HDW: [0.51, 0.01, .929],
        hd: [.39, -.11]
    },
    0x21CD: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x21CD, 0x21CE, 0, 0x21CD],
        stretchv: [2, 1, 0, 1],
        HDW: [0.55, 0.05, .92],
        hd: [.37, -.13]
    },
    0x21CE: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 2],
        stretch: [0x21D0, 0x21CE, 0x21D2, 0x21CD],
        stretchv: [2, 1, 3, 1],
        HDW: [0.55, 0.05, 1.005],
        hd: [.37, -.13]
    },
    0x21CF: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21CE, 0x21D2, 0x21CD],
        stretchv: [0, 1, 3, 1],
        HDW: [0.55, 0.05, .92],
        hd: [.37, -.13]
    },
    0x21D0: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21D0, 0x27F8],
        stretch: [0x21D0, 0x21D0],
        stretchv: [2, 1],
        HDW: [0.45, -0.05, .92],
        hd: [.37, -.13]
    },
    0x21D1: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0x21D1, 0x21D1],
        stretchv: [2, 1],
        HDW: [.635, .125, .56]
    },
    0x21D2: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21D2, 0x27F9],
        stretch: [0, 0x21D0, 0x21D2],
        stretchv: [0, 1, 3],
        HDW: [0.45, -0.05, .92],
        hd: [.37, -.13]
    },
    0x21D3: {
        dir: V,
        sizes: [.761, 1.211],
        variants: [0, 2],
        stretch: [0, 0x21D1, 0x21D3],
        stretchv: [0, 1, 3],
        HDW: [.625, .135, .56]
    },
    0x21D4: {
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 0],
        schar: [0x21D4, 0x27FA],
        stretch: [0x21D0, 0x21D0, 0x21D2],
        stretchv: [2, 1, 3],
        HDW: [0.45, -0.05, 1.005],
        hd: [.37, -.13]
    },
    0x21D5: {
        dir: V,
        sizes: [.846, 1.296],
        variants: [0, 2],
        stretch: [0x21D1, 0x21D1, 0x21D3],
        stretchv: [2, 1, 3],
        HDW: [.673, .172, .56]
    },
    0x21DA: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0x21DA, 0x21DA],
        stretchv: [2, 1],
        HDW: [0.525, 0.025, .92],
        hd: [.46, -.04]
    },
    0x21DB: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21DA, 0x21DB],
        stretchv: [0, 1, 3],
        HDW: [0.525, 0.025, .92],
        hd: [.46, -.04]
    },
    0x21F5: {
        dir: V,
        sizes: [.771, 1.221],
        variants: [0, 2],
        stretch: [0x21F5, 0x21C5, 0x21F5],
        stretchv: [2, 1, 3],
        HDW: [.635, .135, .8]
    },
    0x21F6: {
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 2],
        stretch: [0, 0x21F6, 0x21F6],
        stretchv: [0, 1, 3],
        HDW: [0.74, 0.24, .92],
        hd: [.62, .12]
    },
    0x2212: {
        dir: H,
        stretch: [0, 0x2212],
        HDW: [0.55, 0.05, .76],
        hd: [.55, .05]
    },
    0x2215: {
        c: 0x2F,
        dir: V,
        sizes: [.801, 1.049, 1.373, 1.799, 2.357, 3.087, 4.045]
    },
    0x221A: {
        dir: V,
        sizes: [.791, 1.151, 1.511, 1.871, 2.231, 2.591, 2.951],
        stretch: [0x221A, 0x221A, 0x23B7],
        stretchv: [2, 1, 0],
        HDW: [.66, .13, .77],
        fullExt: [0.77, 1.327]
    },
    0x2223: {
        dir: V,
        sizes: [.801, .961, 1.153, 1.383, 1.659, 1.991, 2.389],
        stretch: [0, 0x2223],
        HDW: [.65, .15, .208]
    },
    0x2225: {
        dir: V,
        sizes: [.801, .961, 1.153, 1.383, 1.659, 1.991, 2.389],
        stretch: [0, 0x2225],
        HDW: [.65, .15, .376]
    },
    0x2261: {
        dir: H,
        stretch: [0, 0x2261],
        HDW: [0.5, 0, .76],
        hd: [.5, 0]
    },
    0x2263: {
        dir: H,
        stretch: [0, 0x2263],
        HDW: [0.61, 0.11, .76],
        hd: [.61, .11]
    },
    0x2308: {
        dir: V,
        sizes: [.821, .981, 1.173, 1.403, 1.679, 2.011, 2.409],
        stretch: [0x23A1, 0x23A2],
        HDW: [.67, .15, .521]
    },
    0x2309: {
        dir: V,
        sizes: [.821, .981, 1.173, 1.403, 1.679, 2.011, 2.409],
        stretch: [0x23A4, 0x23A5],
        HDW: [.67, .15, .521]
    },
    0x230A: {
        dir: V,
        sizes: [.821, .981, 1.173, 1.403, 1.679, 2.011, 2.409],
        stretch: [0, 0x23A2, 0x23A3],
        HDW: [.65, .17, .521]
    },
    0x230B: {
        dir: V,
        sizes: [.821, .981, 1.173, 1.403, 1.679, 2.011, 2.409],
        stretch: [0, 0x23A5, 0x23A6],
        HDW: [.65, .17, .521]
    },
    0x2312: {
        c: 0x23DC,
        dir: H,
        sizes: [.528, 1.028, 1.528, 2.028, 2.528, 3.028, 3.528],
        stretch: [0x23DC, 0x23DC, 0x23DC],
        stretchv: [2, 1, 3],
        HDW: [0.801, -0.569, .528],
        hd: [.801, -.729]
    },
    0x2322: {
        c: 0x23DC,
        dir: H,
        sizes: [.528, 1.028, 1.528, 2.028, 2.528, 3.028, 3.528],
        stretch: [0x23DC, 0x23DC, 0x23DC],
        stretchv: [2, 1, 3],
        HDW: [0.801, -0.569, .528],
        hd: [.801, -.729]
    },
    0x2323: {
        c: 0x23DD,
        dir: H,
        sizes: [.528, 1.028, 1.528, 2.028, 2.528, 3.028, 3.528],
        stretch: [0x23DD, 0x23DD, 0x23DD],
        stretchv: [2, 1, 3],
        HDW: [-0.099, 0.331, .528],
        hd: [-.259, .331]
    },
    0x2329: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051],
        schar: [0x2329, 0x27E8]
    },
    0x232A: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051],
        schar: [0x232A, 0x27E9]
    },
    0x23AA: {
        dir: V,
        sizes: [.596],
        stretch: [0, 0x23AA, 0],
        HDW: [.596, 0, .589]
    },
    0x23AF: {
        c: 0x2013,
        dir: H,
        sizes: [.5],
        stretch: [0, 0x2013],
        HDW: [0.277, -0.219, .5],
        hd: [.277, -.219]
    },
    0x23B0: {
        dir: V,
        sizes: [1.212],
        stretch: [0x23A7, 0x23AA, 0x23AD],
        HDW: [.712, .5, .589]
    },
    0x23B1: {
        dir: V,
        sizes: [1.212],
        stretch: [0x23AB, 0x23AA, 0x23A9],
        HDW: [.712, .5, .589]
    },
    0x23B4: {
        dir: H,
        sizes: [.367, .74, 1.113, 1.484, 1.855, 2.226, 2.593],
        stretch: [0x23B4, 0x23B4, 0x23B4],
        stretchv: [2, 1, 3],
        HDW: [0.788, -0.656, .367],
        hd: [.787, -.715]
    },
    0x23B5: {
        dir: H,
        sizes: [.367, .74, 1.113, 1.484, 1.855, 2.226, 2.593],
        stretch: [0x23B5, 0x23B5, 0x23B5],
        stretchv: [2, 1, 3],
        HDW: [-0.186, 0.318, .367],
        hd: [-.245, .318]
    },
    0x23D0: {
        dir: V,
        sizes: [.516],
        stretch: [0, 0x2223],
        HDW: [.516, 0, .208]
    },
    0x23DC: {
        dir: H,
        sizes: [.528, 1.028, 1.528, 2.028, 2.528, 3.028, 3.528],
        stretch: [0x23DC, 0x23DC, 0x23DC],
        stretchv: [2, 1, 3],
        HDW: [0.801, -0.569, .528],
        hd: [.801, -.729]
    },
    0x23DD: {
        dir: H,
        sizes: [.528, 1.028, 1.528, 2.028, 2.528, 3.028, 3.528],
        stretch: [0x23DD, 0x23DD, 0x23DD],
        stretchv: [2, 1, 3],
        HDW: [-0.099, 0.331, .528],
        hd: [-.259, .331]
    },
    0x23DE: {
        dir: H,
        sizes: [.54, 1.038, 1.538, 2.038, 2.538, 3.038, 3.538],
        stretch: [0x23DE, 0xAF, 0x23DE, 0x23DE],
        stretchv: [2, 1, 3, 1],
        HDW: [0.815, -0.586, .54],
        hd: [.74, -.668]
    },
    0x23DF: {
        dir: H,
        sizes: [.54, 1.038, 1.538, 2.038, 2.538, 3.038, 3.538],
        stretch: [0x23DF, 0x5F, 0x23DF, 0x23DF],
        stretchv: [2, 1, 3, 1],
        HDW: [-0.116, 0.345, .54],
        hd: [-.198, .27]
    },
    0x23E0: {
        dir: H,
        sizes: [.56, 1.064, 1.566, 2.07, 2.572, 3.076, 3.58],
        stretch: [0x23E0, 0x23E0, 0x23E0],
        stretchv: [2, 1, 3],
        HDW: [0.744, -0.522, .56],
        hd: [.744, -.664]
    },
    0x23E1: {
        dir: H,
        sizes: [.56, 1.064, 1.566, 2.07, 2.572, 3.076, 3.58],
        stretch: [0x23E1, 0x23E1, 0x23E1],
        stretchv: [2, 1, 3],
        HDW: [-0.052, 0.274, .56],
        hd: [-.194, .274]
    },
    0x2500: {
        c: 0x2013,
        dir: H,
        sizes: [.5],
        stretch: [0, 0x2013],
        HDW: [0.277, -0.219, .5],
        hd: [.277, -.219]
    },
    0x2758: {
        c: 0x2223,
        dir: V,
        sizes: [.801, .961, 1.153, 1.383, 1.659, 1.991, 2.389],
        stretch: [0, 0x2223],
        HDW: [.65, .15, .208]
    },
    0x27E6: {
        dir: V,
        sizes: [.841, 1.001, 1.193, 1.423, 1.699, 2.031, 2.429],
        stretch: [0x27E6, 0x27E6, 0x27E6],
        stretchv: [2, 1, 3],
        HDW: [.67, .17, .521]
    },
    0x27E7: {
        dir: V,
        sizes: [.841, 1.001, 1.193, 1.423, 1.699, 2.031, 2.429],
        stretch: [0x27E7, 0x27E7, 0x27E7],
        stretchv: [2, 1, 3],
        HDW: [.67, .17, .521]
    },
    0x27E8: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0x27E9: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0x27EA: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0x27EB: {
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0x27EE: {
        dir: V,
        sizes: [.829, .989, 1.181, 1.411, 1.687, 2.019, 2.417],
        stretch: [0x27EE, 0x27EE, 0x27EE],
        stretchv: [2, 1, 3],
        HDW: [.664, .164, .439]
    },
    0x27EF: {
        dir: V,
        sizes: [.829, .989, 1.181, 1.411, 1.687, 2.019, 2.417],
        stretch: [0x27EF, 0x27EF, 0x27EF],
        stretchv: [2, 1, 3],
        HDW: [.664, .164, .439]
    },
    0x27F5: {
        c: 0x2190,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x2190, 0x27F5],
        stretch: [0x2190, 0x2190],
        stretchv: [2, 1],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x27F6: {
        c: 0x2192,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x2192, 0x27F6],
        stretch: [0, 0x2190, 0x2192],
        stretchv: [0, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x27F7: {
        c: 0x2194,
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 0],
        schar: [0x2194, 0x27F7],
        stretch: [0x2190, 0x2190, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, 1.005],
        hd: [.28, -.22]
    },
    0x27F8: {
        c: 0x21D0,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21D0, 0x27F8],
        stretch: [0x21D0, 0x21D0],
        stretchv: [2, 1],
        HDW: [0.45, -0.05, .92],
        hd: [.37, -.13]
    },
    0x27F9: {
        c: 0x21D2,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21D2, 0x27F9],
        stretch: [0, 0x21D0, 0x21D2],
        stretchv: [0, 1, 3],
        HDW: [0.45, -0.05, .92],
        hd: [.37, -.13]
    },
    0x27FA: {
        c: 0x21D4,
        dir: H,
        sizes: [1.005, 1.455],
        variants: [0, 0],
        schar: [0x21D4, 0x27FA],
        stretch: [0x21D0, 0x21D0, 0x21D2],
        stretchv: [2, 1, 3],
        HDW: [0.45, -0.05, 1.005],
        hd: [.37, -.13]
    },
    0x27FB: {
        c: 0x21A4,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21A4, 0x27FB],
        stretch: [0x2190, 0x2190, 0x21A4],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x27FC: {
        c: 0x21A6,
        dir: H,
        sizes: [.92, 1.37],
        variants: [0, 0],
        schar: [0x21A6, 0x27FC],
        stretch: [0x21A6, 0x2190, 0x2192],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .92],
        hd: [.28, -.22]
    },
    0x294A: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BC, 0x2190, 0x21C1],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x294B: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BD, 0x2190, 0x21C0],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x294E: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BC, 0x2190, 0x21C0],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.22, .908],
        hd: [.28, -.22]
    },
    0x2950: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BD, 0x2190, 0x21C1],
        stretchv: [2, 1, 3],
        HDW: [0.28, -0.1, .908],
        hd: [.28, -.22]
    },
    0x295A: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BC, 0x2190, 0x21A4],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x295B: {
        dir: H,
        sizes: [.908],
        stretch: [0x21A6, 0x2190, 0x21C0],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x295E: {
        dir: H,
        sizes: [.908],
        stretch: [0x21BD, 0x2190, 0x21A4],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x295F: {
        dir: H,
        sizes: [.908],
        stretch: [0x21A6, 0x2190, 0x21C1],
        stretchv: [2, 1, 3],
        HDW: [0.4, -0.1, .908],
        hd: [.28, -.22]
    },
    0x3008: {
        c: 0x27E8,
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0x3009: {
        c: 0x27E9,
        dir: V,
        sizes: [.817, 1.063, 1.387, 1.811, 2.367, 3.096, 4.051]
    },
    0xFE37: {
        c: 0x23DE,
        dir: H,
        sizes: [.54, 1.038, 1.538, 2.038, 2.538, 3.038, 3.538],
        stretch: [0x23DE, 0xAF, 0x23DE, 0x23DE],
        stretchv: [2, 1, 3, 1],
        HDW: [0.815, -0.586, .54],
        hd: [.74, -.668]
    },
    0xFE38: {
        c: 0x23DF,
        dir: H,
        sizes: [.54, 1.038, 1.538, 2.038, 2.538, 3.038, 3.538],
        stretch: [0x23DF, 0x5F, 0x23DF, 0x23DF],
        stretchv: [2, 1, 3, 1],
        HDW: [-0.116, 0.345, .54],
        hd: [-.198, .27]
    }
};
//# sourceMappingURL=delimiters.js.map