import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxPagellaFont } from '../../chtml.js';
MathJaxPagellaFont.dynamicSetup('', 'PUA', AddFontIds({
    'PU': {
        'normal': {
            0xE000: [.469, .25, .287],
            0xE001: [.692, .195, .333, { ic: .147 }],
            0xE803: [.728, .012, .876],
            0xEA1F: [-.077, .271, .333, { sk: .018 }],
            0xEA26: [.683, -.502, .38, { sk: -.065 }],
            0xEA35: [.703, -.522, .333],
            0xEA3E: [-.116, .169, .333],
            0xEB03: [.888, .25, .778],
            0xEB04: [.677, .25, .5],
            0xEB0F: [.668, .019, .747],
            0xEB16: [.692, 0, .58],
            0xEB19: [-.093, .193, .25],
            0xEB1E: [.888, .25, .611],
            0xEB1F: [.677, .25, .479],
            0xEB35: [.888, .25, .337],
            0xEB36: [.697, .25, .287],
            0xEB3A: [.888, .195, .333],
            0xEB3B: [.677, .283, .234, { ic: .018 }],
            0xEB40: [.749, .057, 1],
            0xEB48: [.888, .25, .786],
            0xEB49: [.677, .25, .546],
            0xEB4D: [.321, 0, .361],
            0xEB61: [.551, -.305, .291, { ic: .005 }],
            0xEB63: [.692, -.574, .333, { ic: .265 }],
            0xEB6E: [.692, .207, .778],
            0xEB6F: [.469, .207, .603],
            0xEC08: [.872, .003, .832],
            0xEC09: [.906, .003, .582],
            0xEC0A: [.872, .003, .611],
            0xEC0B: [.906, .003, .291, { ic: .02 }],
            0xEC0C: [.872, .003, .613],
            0xEC0D: [.801, .012, .326],
            0xEC0E: [.869, .003, .613],
            0xEC10: [.854, .165, .786],
            0xEC11: [.614, .165, .546],
            0xF6DE: [.277, -.219, .75]
        }
    },
    'PUB': {
        'bold': {
            0xE000: [.471, .25, .333],
            0xE001: [.681, .213, .389, { ic: .15 }],
            0xE803: [.72, .003, .911],
            0xEB03: [.884, .25, .778],
            0xEB04: [.691, .25, .5],
            0xEB0F: [.691, .016, .747],
            0xEB16: [.681, 0, .592],
            0xEB1E: [.884, .25, .611],
            0xEB1F: [.691, .25, .5],
            0xEB35: [.884, .25, .389],
            0xEB36: [.708, .25, .333],
            0xEB3A: [.884, .213, .389],
            0xEB3B: [.691, .266, .333],
            0xEB40: [.749, .068, 1],
            0xEB48: [.884, .25, .833],
            0xEB49: [.691, .25, .556],
            0xEB4D: [.328, 0, .385],
            0xEB61: [.552, -.278, .333],
            0xEB63: [.681, -.537, .333, { ic: .268 }],
            0xEB6E: [.681, .211, .778],
            0xEB6F: [.471, .211, .611],
            0xEC08: [.872, .003, .833],
            0xEC09: [.911, .003, .611],
            0xEC0A: [.872, .003, .611],
            0xEC0B: [.911, .003, .333, { ic: .013 }],
            0xEC0C: [.872, .003, .667],
            0xEC0D: [.823, .017, .333, { ic: .001 }],
            0xEC0E: [.876, .003, .667],
            0xEC10: [.867, .189, .833],
            0xEC11: [.643, .189, .556],
            0xF6DE: [.291, -.208, .75]
        }
    },
    'PUI': {
        'italic': {
            0xE000: [.482, .25, .278],
            0xE001: [.692, .206, .333, { ic: .177 }],
            0xE803: [.733, .276, .731, { ic: .005 }],
            0xEB03: [.885, .25, .722],
            0xEB04: [.7, .25, .444],
            0xEB0F: [.668, .019, .747],
            0xEB16: [.692, 0, .58, { ic: .05 }],
            0xEB1E: [.885, .25, .611],
            0xEB1F: [.7, .25, .389, { ic: .023 }],
            0xEB35: [.885, .25, .333, { ic: .047 }],
            0xEB36: [.72, .25, .278, { ic: .054 }],
            0xEB3A: [.885, .206, .333, { ic: .043 }],
            0xEB3B: [.7, .276, .278, { ic: .057 }],
            0xEB40: [.749, .057, 1],
            0xEB48: [.885, .25, .778],
            0xEB49: [.7, .25, .444],
            0xEB4D: [.32, 0, .356],
            0xEB61: [.554, -.301, .278, { ic: .029 }],
            0xEB63: [.692, -.574, .333, { ic: .367 }],
            0xEB6E: [.692, .218, .778, { ic: .02 }],
            0xEB6F: [.482, .218, .556],
            0xEC08: [.869, .003, .778, { ic: .022 }],
            0xEC09: [.91, .009, .5, { ic: .065 }],
            0xEC0A: [.869, .003, .556],
            0xEC0B: [.91, .009, .278, { ic: .115 }],
            0xEC0C: [.869, .003, .611, { ic: .024 }],
            0xEC0D: [.823, .009, .333, { ic: .058 }],
            0xEC0E: [.871, .003, .611, { ic: .024 }],
            0xEC10: [.849, .163, .778],
            0xEC11: [.625, .163, .444],
            0xF6DE: [.278, -.228, .75, { ic: .02 }]
        }
    },
    'PUBI': {
        'bold-italic': {
            0xE000: [.469, .25, .333],
            0xE001: [.681, .207, .389, { ic: .203 }],
            0xE803: [.726, .271, .883],
            0xEB03: [.894, .25, .722],
            0xEB04: [.699, .25, .556],
            0xEB0F: [.691, .016, .747],
            0xEB16: [.681, 0, .592, { ic: .046 }],
            0xEB1E: [.894, .25, .611],
            0xEB1F: [.699, .25, .444],
            0xEB35: [.894, .25, .389, { ic: .027 }],
            0xEB36: [.716, .25, .333, { ic: .024 }],
            0xEB3A: [.894, .207, .389, { ic: .029 }],
            0xEB3B: [.699, .271, .333, { ic: .032 }],
            0xEB40: [.749, .068, 1],
            0xEB48: [.894, .25, .833],
            0xEB49: [.699, .25, .556],
            0xEB4D: [.318, .004, .382],
            0xEB61: [.569, -.307, .333, { ic: .046 }],
            0xEB63: [.681, -.537, .333, { ic: .365 }],
            0xEB6E: [.681, .223, .778, { ic: .047 }],
            0xEB6F: [.469, .223, .556],
            0xEC08: [.881, .003, .778, { ic: .048 }],
            0xEC09: [.926, .017, .556, { ic: .053 }],
            0xEC0A: [.881, .003, .611],
            0xEC0B: [.926, .017, .333, { ic: .128 }],
            0xEC0C: [.881, .003, .611, { ic: .063 }],
            0xEC0D: [.836, .017, .389, { ic: .065 }],
            0xEC0E: [.887, .003, .611, { ic: .063 }],
            0xEC10: [.879, .201, .833],
            0xEC11: [.653, .201, .556],
            0xF6DE: [.282, -.214, .75, { ic: .021 }]
        }
    }
}, 'GP'), {}, ['MJX-GP-PU', 'MJX-GP-PUB', 'MJX-GP-PUI', 'MJX-GP-PUBI']);
//# sourceMappingURL=PUA.js.map